%define oname firmware-extractor

Summary:	Speedtouch firmware extractor
Name:		speedtouch-firmware-extractor
Version:	0.1
Release:	11
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.linux-usb.org/SpeedTouch/firmware/index.html
Source0:	%{oname}.tar.bz2

%description
This is a small application to prepare and install the firmware for a
SpeedTouch USB modem so that a 2.6.10 kernel (or later) can load the
firmware without the assistance of modem_run.

The firmware extractor splits the firmware file (old mgmt.o) in
smaller firmware files (stage1 and stage2) that are meant to be used
with hotplug firmware loading.

%files
%doc README
%{_sbindir}/%{oname}

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}

%build
gcc %{optflags} -o %{oname} firmware.c

%install
install -D -m755 %{oname} %{buildroot}%{_sbindir}/%{oname}


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.1-11
- (50088fa) Build with system optflags
- (50088fa) Spec cleanup


